Package Details: distrho-git r468.a953bed0-1

Git Clone URL: https://aur.archlinux.org/distrho-git.git (read-only, click to copy)
Package Base: distrho-git
Description: Distrho Audio Plugins both LV2 and VST, using the JUCE Toolkit
Upstream URL: http://https://distrho.sourceforge.io/
Licenses: GPL, GPL3
Conflicts: distrho, distrho-lv2-git, distrho-plugins, distrho-plugins-lv2-git, distrho-vst-git
Provides: distrho
Submitter: urklang
Maintainer: urklang
Last Packager: urklang
Votes: 0
Popularity: 0.000000
First Submitted: 2020-07-11 14:49
Last Updated: 2020-07-11 14:49

Latest Comments

SpotlightKid commented on 2020-08-13 12:16

@urklang: Just adding a new package, which is supposed to replace the two other packages is not the way to go about this. The correct way is to contact the maintainers of those two packages and request that they update / fix them either via a comment or email. Or, in this case, since they are VCS packages, flag the packages out of date. (I have already done this now and distrho-lv2-git has been fixed already.)

If the maintainers then don't respond in a timely fashion, you file a request to orphan a package and take over maintainership once this request is granted.

BUT, since there is now a distrho-ports package in community, which also installs both LV2 and VST2 variants of the plugins, I think it is ok to keep this package and have it renamed to distrho-ports-git. To do this, create the distrho-ports-git package and then file a request to merge the distrho-git into distrho-ports-git.

You should also look at the PKGBUILD of the distrho-ports community package and update your PKGBUILD to match it (except the VCS package specific stuff, of course).

urklang commented on 2020-07-11 14:52

The distrho-lv2-git and distrho-vst-git seem to be broken now that DISTRHO switched to a meson build process. This PKGBUILD I think covers both the lv2 and vst cases so we should be able to deprecate the previous packages, but I'd appreciate it if someone could confirm.